<?php
/* version 0.0.0 2013/03/03 FK */
//=============================================================================================
/* Structure de la page : 
/////	
_pageHeader($userId) =
	 		_headerNormal(); ou autre _header...() 																		 
	 		_moduleTop(...)																				 
	+- ---------------------------------------------------------------------------------------------------------------- -+
	|  _bodyTopLeft($userMsg);	|| 	_bodyTopCenter(...);					||	_bodyTopRight($userId);					 |
	+- ---------------------------------------------------------------------------------------------------------------- -+
	|  _moduleLeft(...)	 		|| _bodyCentreBegin() ...[begin of center]	

/////
_pageFooter() =
	 								[end of center]...  _bodyCenterEnd() 	|| 	_bodyRight(...) ou bodyRight_empty() ... |
	+- ---------------------------------------------------------------------------------------------------------------- -+
	| 															 														 |
	+- ---------------------------------------------------------------------------------------------------------------- -+
	
	notes : _moduleLeft est le module qui contient un menu adapté au contexte d'utilisateur
	notes : _bodyRight est le module qui contient un menu adapté au contexte local de la page
	noter aussi les | qui marquent la structure de la table principale de présentation
	
	
Le menu d'entête de page est dans la fonction _moduleTop()
Le menu de gauche de page est dans la fonction _moduleMenu()
_bodyRight() utilise une fonction _menuRight() propre à chaque page. CETTE FONCTION DOIT ETRE DEFINIE DANS CHAQUE PAGE, même vide.
	Elle sert à afficher des infos et actions locales, un menu contextuel
	
*/
//=============================================================================================
include "COM_fct.inc.php";
//============== _pageHeader : Affichage de l'entête =========================================
function _pageHeader($userId){
	_headerNormal();
	
	echo "<body>\n";
	// (module) Menu horizontal 
		_moduleTop($userId);

	// (Structure) Début du coprs de la page
		echo "<div id=pageMainSpace><!-- Corps de la page - BEGIN -->\n";
		echo "<table id='pageMainTable'><!--  Tableau principal -->";
		
	// affichage des modules de haut de la table principale
		echo "<tr class='tabMenu'><!-- BEGIN 1ere ligne horizontale-->\n";
		echo "	<td id=mainTopLeft><!-- colonne haut gauche, pour menu vertical gauche -->";
			_bodyTopLeft();
		echo "</td>\n";
		echo "	<td id=mainTopCenter><!-- colonne milieu, contenu et menu horizontal -->\n";
			_bodyTopCenter($userId);
		echo "</td>\n";
		echo "	<td id=mainTopRight><!-- colonne droite -->\n";
			_bodyTopRight($userId);
		echo "</td>\n";
		echo "</tr><!-- END 1ere ligne horizontale-->\n";

	//affichage du module de gauche et début du centre
		echo "<tr ><!-- BEGIN 2eme ligne horizontale-->\n";
		echo "	<td valign='top' id=mainLeft><!-- colonne gauche, pour menu vertical gauche -->\n";
			_moduleLeft($userId);
		echo "</td><!-- fin colonne menu gauche-->\n"; // fin de la colonne gauche
		echo "	<td valign='top' align='' id=mainCenter><!-- DEBUT colonne milieu -->\n";
			_bodyCenterBegin();

	// la suite est demandée au cas par cas dans la page utilisatrice de ce script ...
}
//=============================================================================================
//============== _pageFooter() : Affichage de l'entête =========================================
function _pageFooter($type=''){
//---------------------------------------------------------------------------------------------
		_bodyCenterEnd();
	echo "</td><!-- END colonne milieu -->\n";
	echo "	<td class='' width=20% valign='top' id=mainRight><!-- DEBUT colonne droite -->\n";
		if($type=="empty") _bodyRight_Empty();
		else _bodyRight();
	echo "</td><!-- END colonne droite-->";
	echo "</tr><!-- END 2eme ligne horizontale-->\n";
echo "	</table>";
echo "	<footer id=FooterCopy>&copy; FK 2007 - 2013</footer>\n";
echo "	</div><!-- END - corps de la page -->";
// DEL 130821 echo "	<div id=FooterCopy>&copy; FK 2007 - 2013</div>\n";
// BEGIN ADD 130821
// END ADD 130821
echo "</body></html>";
}
//=============================================================================================
//============== fonctions de _pageHeader =====================================================
//=============================================================================================
function _initUserMsg($userId){
//---------------------------------------------------------------------------------------------
	$userMsg='Anonyme';
return $userMsg;
}
//---------------------------------------------------------------------------------------------
//_pageHeader._headerNormal()
// function _headerNormal(){} ATTENTION CETTE FONCTION DOIT ETRE DECLAREE DANS UNE FEUILLE APPELANTE !
// elle défini l'entête HTML complet de la page : doctype, html et head.
//---------------------------------------------------------------------------------------------
//_pageHeader.function _moduleTop($userId, $userLevel)
function _moduleTop($userId){
	$userMsg=_initUserMsg($userId);
	
	echo "<!-- BEGIN Menu 1 Liste ul -->";
	echo "<nav id='menuTop'>";
?>
<ul>
		<li><a class=menuTopBase href='index.php'>Accueil</a></li>
		<li><a class=menuTopBuy href='cdeArtLst.php?userId=$userId'>Achats en ligne</a></li>
		<li><a class='menuTopCom' href='gesComTierLst.php?userId=$userId'>Gestion Commerciale</a></li>
		<li><a class='menuTopCpta' href='comptaMvtLst.php?userId=$userId'>Comptabilité</a></li>
		<li><a class='menuTopProd' href='gesProdIndex.php?userId=$userId'>Gestion de production</a>
			<ul>
			<li><a class='menuTopProd' href='erpDspBes.php?userId=$userId'>Planification</a></li>
			<li><a class='menuTopProd' href='beArtLst.php?userId=$userId'>Données techniques</a></li>
			</ul>
		</li>
		<li><a class='menuTopAppro' href='approIndex.php?userId=$userId'>Gestion des achats</a>
			<ul>
			<li><a class='menuTopAppro' href='approFour.php.php?userId=$userId'>Fournisseurs</a></li>
			</ul>
		</li>
		<li><a class=menuTopBase href="descIndex.php">A propos</a>
			<ul>
			<li><a class=menuTopBase href="descChangelog.php">Liste des modifs</a></li>
			<li><a class=menuTopBase href="descScenarii.php">Scénarii</a></li>
			<li><a class=menuTopBase href="descCredit.php">Crédits</a></li>
			</ul>
		</li>
	</ul>
<?php
	echo "</nav>";
	echo "<!-- END Menu 1 Liste ul -->\n";
	echo "<div id=loginForm>"; // 
	echo "</div>"; // 
	
}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyTopLeft($userMsg){ (actuellement vide)
function _bodyTopLeft(){}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyTopCenter($userId, $userLevel){ (actuellement vide)
function _bodyTopCenter($userId){}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyTopRight($userId){
function _bodyTopRight($userId){
//---------------------------------------------------------------------------------------------
	if ($userId!="") echo "<a class=thLink href='index.php?logOut'>Déconnexion</a>";
	else	echo "&nbsp;";
}
//---------------------------------------------------------------------------------------------
//_pageHeader._moduleLeft($userId, $userMsg){
function _moduleLeft($userId){
//---------------------------------------------------------------------------------------------
	$menu="left";
	(isset($_SESSION['userId']))?$userId=$_SESSION['userId']:$userId="";

	echo "<div class=".$menu."MenuContainer>"; // begin Left menu
		_moduleMenu($userId, $menu); // liste des option du menu de navigation
		echo "<br><center>Nous sommes le ".(COM_DMY())."</center>"; //date du jour en bas de la div
	echo "</div>"; // end Left Menu
}
//---------------------------------------------------------------------------------------------
//_pageHeader._bodyCenterBegin()
function _bodyCenterBegin(){/* Actuellement vide */}
//=============================================================================================
// ============== Fonctions de _pageFooter() ==================================================
//=============================================================================================
//_bodyFin._bodyCentreEnd()
function _bodyCenterEnd(){/* Actuellement vide */}
//---------------------------------------------------------------------------------------------
//_bodyFin._bodyRight_Empty()
function _bodyRight_Empty(){echo "&nbsp;";}
//---------------------------------------------------------------------------------------------
//_bodyFin._bodyRight(){
function _bodyRight(){
//---------------------------------------------------------------------------------------------
	$menu="outils";
	echo "<aside class=".$menu."Menu>"; // begin menu div
	_menuRight(); // ATTENTION, CETTE FONCTION DOIT ETRE DEFINIE DANS CHAQUE PAGE, même vide, elle sert à afficher des infos et actions locales
	echo "</aside>"; // end Menu div
}
//=============================================================================================
// ============== Autres fonctions ============================================================
//_pageHeader._menuOption($userId, $userLevel, $menu){ 
function _moduleMenu($userId, $menu="left"){ 
// $menu contient 'left', center, right, top ou bottom pour dire de quel menu il s'agit et est ajouté au style d'affichage des points
//---------------------------------------------------------------------------------------------
	echo "<!-- BEGIN Menu 3 Liste ul Verticale --><ul class='menuContainer_".$menu."'>";
	echo "<li class='menuHeader_$menu'>Menu</li>";
	echo "<li class='menuLine_$menu'><a class=thLink href='index.php'>Accueil</a></li>";
	echo "<li class='menuLine_$menu'><a class=thLink href='cdeArtLst.php?userId=$userId'>Achats en ligne</a></li>";
	echo "<li class='menuLine_$menu'><a class=thLink href='gesComTierLst.php?userId=$userId'>Gestion commerciale</a></li>";
	echo "<li class='menuLine_$menu'><a class=thLink href='comptaMvtLst.php?userId=$userId'>Comptabilité</a></li>";
	echo "<li class='menuLine_$menu'><a class=thLink href='gesProdIndex.php?userId=$userId'>Gestion de production</a></li>";
	echo "<li class='menuLine_$menu'><a class=thLink href='approIndex.php?userId=$userId'>Gestion des achats</a></li>";
	echo "</ul><!--  END Menu 3 Liste ul verticale -->\n";
	echo "<!-- espace de login, si besoin -->";
}
//=============================================================================================
?>
